List channels
GET
/v1/channelsAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredQuery parameters
limitinteger<int32>Results per page
min 1 · max 100 · default: 20
offsetinteger<int32>Offset for pagination
min 0 · default: 0
Responses
200OK
itemsChannelItem[] | nullrequiredShow propertiesHide properties
Array of
ChannelItemconfiganycreated_atstringrequiredhealth_statestringOperator-facing health: healthy, auth_required, degraded, setup_required
idstringrequiredis_activebooleanrequiredlast_connected_atstring | nullrequiredlast_errorstring | nullrequiredlast_failure_classstringauth, payload, operational (support)
linked_channel_idstring | nullrequiredmetadataanyrequiredmodestringrequirednamestringrequiredoperator_messagestringSafe message for workspace UI; never raw Meta errors
organization_idstringrequiredphone_numberstring | nullrequiredplatformstringrequiredstatusstringrequiredupdated_atstringrequiredmetaPaginationMetarequiredShow propertiesHide properties
cursorstringhas_morebooleanrequiredlimitinteger<int64>requirednext_cursorstringoffsetinteger<int64>totalinteger<int64>400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X GET "/v1/channels"const response = await fetch("/v1/channels", {
method: "GET"
});import requests
response = requests.get(
"/v1/channels",
)Response
{
"items": [
{
"config": "string",
"created_at": "string",
"health_state": "string",
"id": "string",
"is_active": true,
"last_connected_at": "string",
"last_error": "string",
"last_failure_class": "string",
"linked_channel_id": "string",
"metadata": "string",
"mode": "string",
"name": "string",
"operator_message": "string",
"organization_id": "string",
"phone_number": "string",
"platform": "string",
"status": "string",
"updated_at": "string"
}
],
"meta": {
"cursor": "string",
"has_more": true,
"limit": 0,
"next_cursor": "string",
"offset": 0,
"total": 0
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}